import request from '@/utils/request';
//查询所有试验数据管理试验任务管理
export function tstaskList() {
    return request({
        url: '/experimentalData/tstask/list',
        method: 'post',
    });
}
//获取试验任务节点树形结构
export function getTsNodesTree(params:any) {
    return request({
        url: '/experimentalData/ts-nodes/getTsNodesTree',
        method: 'post',
        params:params,
    });
}
//增加试验任务节点
export function addTsNodes(params:any) {
    return request({
        url: '/experimentalData/ts-nodes/addTsNodes',
        method: 'post',
        data:params,
    });
}
// 修改试验任务节点
export function updateTsNodes(params:any) {
    return request({
        url: '/experimentalData/ts-nodes/updateTsNodes',
        method: 'post',
        data:params,
    });
}
//根据ID删除试验任务节点
export function deleteTsNodesById(params:any) {
    return request({
        url: '/experimentalData/ts-nodes/deleteTsNodesById',
        method: 'post',
        params:params,
    });
}
//分页查询试验数据管理文档内容
export function tsFilesPage(params:any) {
    return request({
        url: '/experimentalData/ts-files/page',
        method: 'get',
        params:params,
    });
}
//新增试验数据管理文档内容
export function addTsFiles(params:any) {
    return request({
        url: '/experimentalData/ts-files/addTsFiles',
        method: 'post',
        data:params,
    });
}
//修改试验数据管理文档内容
export function updateTsFiles(params:any) {
    return request({
        url: '/experimentalData/ts-files/updateTsFiles',
        method: 'post',
        data:params,
    });
}
//根据ID删除试验数据管理文档内容
export function deleteTsFilesById(params:any) {
    return request({
        url: '/experimentalData/ts-files/deleteTsFilesById',
        method: 'post',
        params:params,
    });
}
//批量删除试验数据管理文档内容
export function deleteTsFilesByIds(params:any) {
    return request({
        url: '/experimentalData/ts-files/deleteTsFilesByIds',
        method: 'post',
        params:params,
    });
}
//压缩
export function compress(params:any) {
    return request({
        url: '/experimentalData/ts-files/compress',
        method: 'post',
        params:params,
    });
}
//解压
export function Decompression(params:any) {
    return request({
        url: '/experimentalData/ts-files/decompression',
        method: 'post',
        params:params,
    });
}
//对比两个目录的文件差异
export function compare(params:any) {
    return request({
        url: '/experimentalData/ts-files/compare',
        method: 'post',
        params:params,
    });
}
//从备份空间下载到工作空间
export function downloadToLocal(params:any) {
    return request({
        url: '/experimentalData/ts-files/downloadToLocal',
        method: 'post',
        params:params,
    });
}
//将文件上传到备份空间
export function uploadToBackup(params:any) {
    return request({
        url: '/experimentalData/ts-files/uploadToBackup',
        method: 'post',
        params:params,
    });
}
//新增试验数据管理文件夹
export function addTsFile(params:any) {
    return request({
        url: '/experimentalData/ts-files/addTsFile',
        method: 'post',
        data:params,
    });
}

//根据父项编码查询数据字典项数据
export function list(params:any){
    return request ({
        url:'/system/dictionaryItems/list',
        method:'post',
        params:params
    })
}
//查询试验数据管理文件夹
export function listTsFiles(params:any){
    return request ({
        url:'/experimentalData/ts-files/listTsFiles',
        method:'get',
        params:params
    })
}
//移动
export function moveFileFolder(params:any){
    return request ({
        url:'/experimentalData/ts-files/moveFileFolder',
        method:'post',
        data:params
    })
}
//复制
export function copyFileFolder(params:any){
    return request ({
        url:'/experimentalData/ts-files/copyFileFolder',
        method:'post',
        data:params
    })
}
//定义频率
export function startSimpleNavi(params:any){
    return request ({
        url:'/experimentalData/ts-files/startSimpleNavi',
        method:'post',
        params:params
    })
}
//关闭
export function stopSimpleNavi(params:any){
    return request ({
        url:'/experimentalData/ts-files/stopSimpleNavi',
        method:'post',
        params:params
    })
}
//读取text文件
export function apicontent(params:any){
    return request ({
        url:'/experimentalData/ts-files/api/files/content',
        method:'get',
        params:params
    })
}
//保存编辑的图片
export function saveContent(params:any){
    return request ({
        url:'/experimentalData/ts-files/save/files/content',
        method:'post',
        params:params,
        // headers: {
        //     'Content-Type': 'application/json' // 明确指定内容类型
        //   }
    })
}
//excel编辑保存
export function batchModify(params:any){
    return request ({
        url:'/experimentalData/ts-files/batchModify',
        method:'post',
        data:params,
       
    })
}
//试验数据扫描接口通过试验任务ID
export function testDataScanById(params:any){
    return request ({
        url:'/experimentalData/ts-nodes/testDataScanById',
        method:'post',
        params:params,
       
    })
}
//获取异步信息
export function obtaintestData(params:any){
    return request ({
        url:'/experimentalData/ts-nodes/obtaintestData',
        method:'post',
        params:params,
       
    })
}
//判断节点
export function selectTsNodesByTskeId(params:any){
    return request ({
        url:'/experimentalData/ts-nodes/selectTsNodesByTskeId',
        method:'post',
        params:params,
       
    })
}